import 'package:facebook_audience_network/facebook_audience_network.dart';
import 'package:flutter/material.dart';

const String NATIVE_APP_FACTORY = "NATIVE_APP_FACTORY";

class NativeFacebook {
  Widget createNativeWidget(String adId, double width, double height) {
    return FacebookNativeAd(
        placementId: adId,
        adType: NativeAdType.NATIVE_AD,
        width: width,
        height: height,
        backgroundColor: Colors.blue,
        titleColor: Colors.white,
        descriptionColor: Colors.white,
        buttonColor: Colors.deepPurple,
        buttonTitleColor: Colors.white,
        buttonBorderColor: Colors.white,
        keepAlive: true,
        //set true if you do not want adview to refresh on widget rebuild
        keepExpandedWhileLoading: false,
        // set false if you want to collapse the native ad view when the ad is loading
        expandAnimationDuraion: 300,
        //in milliseconds. Expands the adview with animation when ad is loaded
        listener: (result, value) {
          print("Native Ad: $result --> $value");
        });
  }
}
